### Hierarchy

- AuthenticationFunctionalities

## Index

### Properties

- default_basemap
- default_theme
- filterable_layers
- open_panel
- preset_layer_filter

## Properties

### default_basemap

default_basemap: string[]

- Defined in srcapi/store/user.ts:28

Base maps to use by default.

### default_theme

default_theme: string[]

- Defined in srcapi/store/user.ts:32

Theme to use by default.

### Optional filterable_layers

filterable_layers?: string[]

- Defined in srcapi/store/user.ts:36

A list of layer names that can be filtered.

### Optional open_panel

open_panel?: string[]

- Defined in srcapi/store/user.ts:40

When set, contains the name of the panel to open upon loading an application.

### Optional preset_layer_filter

preset_layer_filter?: string[]

- Defined in srcapi/store/user.ts:44

Default filtrable datasource name.

Generated using TypeDoc